# Class ResponseCache

java.lang.Object
org.apache.zookeeper.server.ResponseCache

public class ResponseCache extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DEFAULT_RESPONSE_CACHE_SIZE`

## Constructor Summary

Constructors
Constructor
Description
`ResponseCache(int cacheSize, String requestType)`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`get(String key, Stat stat)`
`int`
`getCacheSize()`
`boolean`
`isEnabled()`
`void`
`put(String path, byte[] data, Stat stat)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_RESPONSE_CACHE_SIZE

public static final int DEFAULT_RESPONSE_CACHE_SIZE

See Also:
  - Constant Field Values

## Constructor Details

### ResponseCache

public ResponseCache(int cacheSize, String requestType)

## Method Details

### getCacheSize

public int getCacheSize()

### put

public void put(String path, byte[] data, Stat stat)

### get

public byte[] get(String key, Stat stat)

### isEnabled

public boolean isEnabled()